#
# spec file for package flash-player
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           flash-player
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Networking/Web/Browsers
Summary:        Adobe Flash PlugIn and standalone Player
Version:        11.0.1.98_beta2
Release:        1
Obsoletes:      netscape-plugins nspluginwrapper
#flash 10 does not need libflashsupport and using it can cause device conflicts
#just let flash talk with the default alsa plugin - bnc#539656
Provides:       libflashsupport = 1.2
BuildRequires:  update-desktop-files fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# flash player dynamically opens that one and segfaults if not available (2008-11-12)
#Requires:       libcurl.so.4 libasound.so.2
Url:            http://labs.adobe.com/downloads/flashplayer11.html
# http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer11/flashplayer11_b1_install_lin_32_071311.tar.gz
%ifarch %ix86
Source0:        flashplayer11_b2_install_lin_32_080811.tar.gz
%define source_number 0
%endif
# http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer11/flashplayer11_b1_install_lin_64_071311.tar.gz
%ifarch x86_64
Source1:        flashplayer11_b2_install_lin_64_080811.tar.gz
%define source_number 1
%endif
# http://www.adobe.com/shockwave/welcome/
Source2:        README
Source3:        flashplayer.desktop
Source4:        flashplayer.png
Source5:        LICENSE
Patch0:        desktop-file.patch
Provides:       flash-plugin = %version
ExclusiveArch:  %ix86 x86_64
# find all the information about flash player / test page here:
# http://www.adobe.com/software/flash/about/

%description
This package contains Adobe's Flash Plugin for the supported Web
browsers in addition to a standalone flash player application.


%package -n %{name}-gnome
Requires:       flash-player
Summary:        Gnome integration for Adobe Flash Plugin
%description -n %{name}-gnome
This package contains the Gnome integration of the Adobe Flash Plugin


%package -n %{name}-kde
Requires:       flash-player
BuildRequires:  kde4-filesystem
%kde4_runtime_requires
Summary:        KDE integration of Adobe Flash Plugin
%description -n %{name}-kde
This package contains the KDE integration of the Adobe Flash Plugin


%prep
%setup -T -c %{name} -a %{source_number}
%patch0 -p0
cp %{SOURCE2} .
cp %{SOURCE5} .

%build

%install
install -D -m 755 usr/bin/flash-player-properties ${RPM_BUILD_ROOT}%{_bindir}/flash-player-properties
install -D -m 755 usr/lib/kde4/kcm_adobe_flash_player.so ${RPM_BUILD_ROOT}%{_libdir}/kde4/kcm_adobe_flash_player.so
install -D -m 644 usr/share/applications/flash-player-properties.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications/flash-player-properties.desktop
install -D -m 644 usr/share/icons/hicolor/16x16/apps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/flash-player-properties.png
install -D -m 644 usr/share/icons/hicolor/22x22/apps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/22x22/apps/flash-player-properties.png
install -D -m 644 usr/share/icons/hicolor/24x24/apps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/24x24/apps/flash-player-properties.png
install -D -m 644 usr/share/icons/hicolor/32x32/apps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/flash-player-properties.png
install -D -m 644 usr/share/icons/hicolor/48x48/apps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/flash-player-properties.png
install -D -m 644 usr/share/kde4/services/kcm_adobe_flash_player.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/kcm_adobe_flash_player.desktop
install -D -m 644 usr/share/pixmaps/flash-player-properties.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/flash-player-properties.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications/flashplayer.desktop
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/pixmaps/flashplayer.png
install -D -m 755 libflashplayer.so $RPM_BUILD_ROOT/usr/%{_lib}/browser-plugins/libflashplayer.so
%fdupes $RPM_BUILD_ROOT/%{_datadir}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc [Rr][eE][aA][dD][Mm][eE]* LICENSE
%{_libdir}/browser-plugins/*
%{_datadir}/applications/flashplayer.desktop
%{_datadir}/icons
%{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/16x16
%{_datadir}/icons/hicolor/16x16/apps
%{_datadir}/icons/hicolor/16x16/apps/flash-player-properties.png
%{_datadir}/icons/hicolor/22x22
%{_datadir}/icons/hicolor/22x22/apps
%{_datadir}/icons/hicolor/22x22/apps/flash-player-properties.png
%{_datadir}/icons/hicolor/24x24
%{_datadir}/icons/hicolor/24x24/apps
%{_datadir}/icons/hicolor/24x24/apps/flash-player-properties.png
%{_datadir}/icons/hicolor/32x32
%{_datadir}/icons/hicolor/32x32/apps
%{_datadir}/icons/hicolor/32x32/apps/flash-player-properties.png
%{_datadir}/icons/hicolor/48x48
%{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/48x48/apps/flash-player-properties.png
%{_datadir}/pixmaps/flash-player-properties.png
%{_datadir}/pixmaps/flashplayer.png

%files gnome
%defattr(-,root,root)
%{_bindir}/flash-player-properties
%{_datadir}/applications/flash-player-properties.desktop

%files kde
%defattr(-,root,root)
%{_libdir}/kde4/kcm_adobe_flash_player.so
%{_datadir}/kde4
%{_datadir}/kde4/services
%{_datadir}/kde4/services/kcm_adobe_flash_player.desktop

%changelog
* Wed Aug 10 2011 freespacer@gmx.de
- Update to Adobe Flash Player 11.0 Beta 2

-------------------------------------------------------------------
* Mon Jul 25 2011 freespacer@gmx.de
- splitting into 3 packages (flash, gnome, kde)

-------------------------------------------------------------------
* Sat Jul 16 2011 freespacer@gmx.de
- initial package
